%define upstream_name    Package-Stash-XS
%define upstream_version 0.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Faster and more correct implementation of the Package::Stash API
License:    GPLv2+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Package/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(XSLoader)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This is a backend for Package::Stash, which provides the functionality in a
way that's less buggy and much faster. It will be used by default if it's
installed, and should be preferred in all environments with a compiler.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/Package/Stash/
%{perl_vendorarch}/auto/Package/Stash/


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.280.0-11pclos2017
- rebuild against updates

